org.richfaces.fragment.dataGrid

## Class RichFacesDataGrid<RECORD>

- java.lang.Object
- - org.richfaces.fragment.dataGrid.RichFacesDataGrid<RECORD>

- Type Parameters:
    `RECORD` -
  All Implemented Interfaces:
    AdvancedInteractions<RichFacesDataGrid.AdvancedDataGridInteractions>, AdvancedVisibleComponentIteractions<RichFacesDataGrid.AdvancedDataGridInteractions>, DataGrid<RECORD>

      public class RichFacesDataGrid<RECORD>
      extends Object
      implements DataGrid<RECORD>, AdvancedVisibleComponentIteractions<RichFacesDataGrid.AdvancedDataGridInteractions>

  Class representing a page fragment for RichFaces DataGrid.

  Be aware, that this class is not intended to be used directly (injected into the test with `@FindBy`), but to be extended so the generic types are substituted with a regular type representing particular part of the grid.

  Author:
    Juraj Huska

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesDataGrid.AdvancedDataGridInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesDataGrid()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesDataGrid.AdvancedDataGridInteractions` | `advanced()`
    `List<RECORD>` | `getAllVisibleRecords()` Returns all records currently rendered in this grid.
    `int` | `getNumberOfColumns()` Returns number of the columns in this data grid.
    `int` | `getNumberOfRecords()` Returns number of records on the current page.
    `int` | `getNumberOfRows()` Returns number of the rows in this data grid.
    `RECORD` | `getRecord(int n)` Return a particular record from actual page.
    `protected Class<RECORD>` | `getRecordClass()`
    `List<RECORD>` | `getRecordsInRow(int rowIndex)` Returns all RECORDs in a particular row.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesDataGrid

          public RichFacesDataGrid()

  - ### Method Detail

    - #### getRecordsInRow

          public List<RECORD> getRecordsInRow(int rowIndex)

      Description copied from interface: `DataGrid`
      Returns all RECORDs in a particular row.
      Specified by:
        `getRecordsInRow` in interface `DataGrid<RECORD>`
      Parameters:
        `rowIndex` - zero based index of the row, from which all records will be returned
      Returns:

    - #### getRecord

          public RECORD getRecord(int n)

      Description copied from interface: `DataGrid`
      Return a particular record from actual page.
      Specified by:
        `getRecord` in interface `DataGrid<RECORD>`
      Parameters:
        `n` - zero based index of the record to be returned
      Returns:

    - #### getNumberOfRows

          public int getNumberOfRows()

      Description copied from interface: `DataGrid`
      Returns number of the rows in this data grid.
      Specified by:
        `getNumberOfRows` in interface `DataGrid<RECORD>`
      Returns:

    - #### getNumberOfColumns

          public int getNumberOfColumns()

      Description copied from interface: `DataGrid`
      Returns number of the columns in this data grid.
      Specified by:
        `getNumberOfColumns` in interface `DataGrid<RECORD>`
      Returns:

    - #### getNumberOfRecords

          public int getNumberOfRecords()

      Description copied from interface: `DataGrid`
      Returns number of records on the current page.
      Specified by:
        `getNumberOfRecords` in interface `DataGrid<RECORD>`
      Returns:

    - #### getAllVisibleRecords

          public List<RECORD> getAllVisibleRecords()

      Description copied from interface: `DataGrid`
      Returns all records currently rendered in this grid.
      Specified by:
        `getAllVisibleRecords` in interface `DataGrid<RECORD>`
      Returns:
        all records from the current page

    - #### advanced

          public RichFacesDataGrid.AdvancedDataGridInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<RichFacesDataGrid.AdvancedDataGridInteractions>`

    - #### getRecordClass

          protected Class<RECORD> getRecordClass()

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.